Functions
Functions
Graphics » HAL GFX » GFX EVENT
Collaboration diagram for Functions:

## Functions
int | hal_gfx_event_init (int flags, int mouse_init_x, int mouse_init_y, int mouse_max_x, int mouse_max_y)
| event init function More...
int | hal_gfx_event_wait (hal_gfx_event_t *event, int block_until_event)
| wait event init function More...
void | hal_gfx_event_force_cursor_xy (int x, int y)
| force setting cursy to [x,y] More...
uintptr_t | hal_gfx_init_triple_fb (int layer, uintptr_t fb0_phys, uintptr_t fb1_phys, uintptr_t fb2_phys)
| Init triple framebuffer (Not USED) More...
uintptr_t | hal_gfx_swap_fb (int layer)
| Swap layer to current layer. More...
int | hal_gfx_timer_create (void)
| Create a timer, need to porting. More...
void | hal_gfx_timer_destroy (int timer_id)
| Destroy timer, need to porting. More...
int | hal_gfx_timer_set_periodic (int timer_id, uint32_t timeout_milisecs)
| Set periodic timer, need to porting. More...
int | hal_gfx_timer_set_oneshot (int timer_id, uint32_t timeout_milisecs)
| Set one-shot timer, need to porting. More...
void | hal_gfx_timer_stop (int timer_id)
| Stop timer, need to porting. More...

## Detailed Description

## Function Documentation

## ◆ hal_gfx_event_force_cursor_xy()

void hal_gfx_event_force_cursor_xy | ( | int | x,
|  | int | y
| ) |  |

force setting cursy to [x,y]

Parameters

  [in] | x | x-coord to set
  [in] | y | y-coord to set

Returns
  none

## ◆ hal_gfx_event_init()

int hal_gfx_event_init | ( | int | flags,
|  | int | mouse_init_x,
|  | int | mouse_init_y,
|  | int | mouse_max_x,
|  | int | mouse_max_y
| ) |  |

event init function

Parameters

  [in] | flags | event flags
  [in] | mouse_init_x | init x-coord for mouse
  [in] | mouse_init_y | init y-coord for mouse
  [in] | mouse_max_x | max x-coord for mouse
  [in] | mouse_max_y | max y-coord for mouse

Returns
  init result

## ◆ hal_gfx_event_wait()

int hal_gfx_event_wait | ( | hal_gfx_event_t * | event,
|  | int | block_until_event
| ) |  |

wait event init function

Parameters

  [in] | event | point to event structure
  [in] | block_until_event | block time till event happens

Returns
  wait result

## ◆ hal_gfx_init_triple_fb()

uintptr_t hal_gfx_init_triple_fb | ( | int | layer,
|  | uintptr_t | fb0_phys,
|  | uintptr_t | fb1_phys,
|  | uintptr_t | fb2_phys
| ) |  |

Init triple framebuffer (Not USED)

Parameters

  [in] | layer | graphics layer to set
  [in] | fb0_phys | layer0's phical address
  [in] | fb1_phys | layer1's phical address
  [in] | fb2_phys | layer2's phical address

Returns
  none

## ◆ hal_gfx_swap_fb()

uintptr_t hal_gfx_swap_fb | ( | int | layer | ) |

Swap layer to current layer.

Parameters

  [in] | layer | graphics layer to set

Returns
  layer's phical address

## ◆ hal_gfx_timer_create()

int hal_gfx_timer_create | ( | void |  | ) |

Create a timer, need to porting.

Returns
  timer id

## ◆ hal_gfx_timer_destroy()

void hal_gfx_timer_destroy | ( | int | timer_id | ) |

Destroy timer, need to porting.

Parameters

  [in] | timer_id | timer id

Returns
  none

## ◆ hal_gfx_timer_set_oneshot()

int hal_gfx_timer_set_oneshot | ( | int | timer_id,
|  | uint32_t | timeout_milisecs
| ) |  |

Set one-shot timer, need to porting.

Parameters

  [in] | timer_id | timer id
  [in] | timeout_milisecs | timeout time

Returns
  1 - successful; 0 -fail

## ◆ hal_gfx_timer_set_periodic()

int hal_gfx_timer_set_periodic | ( | int | timer_id,
|  | uint32_t | timeout_milisecs
| ) |  |

Set periodic timer, need to porting.

Parameters

  [in] | timer_id | timer id
  [in] | timeout_milisecs | periodic time

Returns
  1 - successful; 0 -fail

## ◆ hal_gfx_timer_stop()

void hal_gfx_timer_stop | ( | int | timer_id | ) |

Stop timer, need to porting.

Parameters

  [in] | timer_id | timer id

Returns
  none